close all 

K = 2;
templabels = SCORE(A_person(giant, giant) + eye(length(giant)), K);
labels2 = zeros(m,1);
labels2(giant) = templabels;

figure 
G2 = graph(A_person(giant,giant)); 
plot(G2,'NodeLabel',labels2(giant))

com_21_idx = find(labels2 == 1);
com_22_idx = find(labels2 == 2);
com_23_idx = find(labels2 == 0);
% com_24_idx = find(labels2 == 4);
% com_25_idx = find(labels2 == 5);

if length(com_21_idx) > length(com_22_idx)
    com_22_idx = find(labels2 == 1);
    com_21_idx = find(labels2 == 2);
end

figure
G21 = graph(A_person(com_21_idx,com_21_idx)); 
plot(G21,'NodeLabel',ones(length(com_21_idx),1))

figure
G22 = graph(A_person(com_22_idx,com_22_idx)); 
plot(G22,'NodeLabel',2*ones(length(com_22_idx),1))

SgnQ(A_person)
SgnQ(A_person([com_22_idx; com_23_idx],[com_22_idx; com_23_idx] ))
SgnQ(A_person(com_21_idx, com_21_idx))